curl --request GET \
--url https://api.perflo.ai/v1/operations \
--header 'Authorization: Bearer <token>' \
--header 'DPoP: <api-key>'import requests
url = "https://api.perflo.ai/v1/operations"
headers = {
"DPoP": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {DPoP: '<api-key>', Authorization: 'Bearer <token>'}};
fetch('https://api.perflo.ai/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"submission_uncertain": true,
"failure_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"fields": [
{
"message": "<string>",
"path": "<string>"
}
],
"request_id": "<string>",
"retryable": true,
"submission_uncertain": true
}List operations
Returns up to 100 recent operations owned by the resource owner, subject, and client bound to the current access token.
Authorizations
Per-request RFC 9449 DPoP proof signed with ES256. Protected requests use Authorization: DPoP your_access_token_here. Create a new proof for the exact method and normalized target URI, and include the server nonce when challenged.
OAuth 2.0 with RFC 9700 security practices. Discover exact environment endpoints from /.well-known/openid-configuration and /.well-known/oauth-authorization-server, and discover the resource from /.well-known/oauth-protected-resource. Authorization-code clients use PKCE S256, the exact environment resource, nonce with openid, and DPoP binding. Confidential clients also require PAR and private_key_jwt. Access and refresh tokens are sender-constrained with DPoP. purchases:execute is unavailable and omitted from this scope registry.
Headers
Optional caller request identifier. Unsafe values are replaced with a generated UUID.
^[A-Za-z0-9._~-]{8,128}$Response
The current client-owned operations.
A bounded collection of operations for the current subject and client.
Most recent operations owned by the current subject and client.
100Show child attributes
Show child attributes